## org.gnu.atk
Class ObjectFactory

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.atk.ObjectFactory

public class ObjectFactory
extends GObject

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`ObjectFactory(Handle handle)`

Method Summary
`protected static Handle` `atk_object_factory_create_accessible(Handle factory, Handle object)`
`protected static int` `atk_object_factory_get_accessible_type(Handle factory)`
`protected static int` `atk_object_factory_get_type()`
`protected static void` `atk_object_factory_invalidate(Handle factory)`
`AtkObject` `createAccessible(GObject object)`
`Type` `getAccessibleType()`
`void` `invalidate()`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory(Handle handle)

Method Detail

### createAccessible

    public AtkObject createAccessible(GObject object)

### invalidate

    public void invalidate()

### getAccessibleType

    public Type getAccessibleType()

### atk_object_factory_get_type

    protected static final int atk_object_factory_get_type()

### atk_object_factory_create_accessible

    protected static final Handle atk_object_factory_create_accessible(Handle factory,
                                                                       Handle object)

### atk_object_factory_invalidate

    protected static final void atk_object_factory_invalidate(Handle factory)

### atk_object_factory_get_accessible_type

    protected static final int atk_object_factory_get_accessible_type(Handle factory)